{% extends 'Templates/layout.html.twig' %}
{% form_theme formView 'Templates/Forms/layout_form.html.twig' %}

{% block body %}
    <section class="mtb-50 mlr-50">
        <h1 class="text-center text-blue text-bold">
            {% if edit is defined and project is defined %}
                Edition d'un Projet ({{ project.code }})
            {% else %}
                Ajout d'un Projet
            {% endif %}
        </h1>

        <hr class="hr-add w-100">

        {% if errors is not empty %}
            {% for error in errors %}
                <span class="alert alert-danger d-block d-center w-60">{{ error }}</span>
            {% endfor %}
        {% endif %}


        <article class="form-custom">

            {{ form_start(formView) }}

            {% if edit is not defined and project is not defined %}
                <div>
                    {{ form_label(formView.code) }}
                    {{ form_widget(formView.code) }}
                </div>
            {% endif %}

            <div>
                {{ form_label(formView.state) }}
                {{ form_widget(formView.state) }}
            </div>

            {% if edit is defined and project is defined %}
                <div>
                    <label class="mtb-5 text-blue text-italic text-bold">Durée : </label>
                    <span class="form-control">{{ dateService.display(project.duration) }}</span>
                </div>
            {% endif %}

            {{ form_end(formView) }}
            
        </article>
    </section>

    {% if edit is defined and project is defined %}
        <section class="mtb-50 mlr-50">
            <h1 class="text-center text-blue text-bold">Les Utilisateurs</h1>

            <div class="mlr-15 text-center">
                <hr class="hr-add">
                <a href="{{ path('bo_project_manage_user', {'id': project.id}) }}" class="btn btn-success btn-10"><i class="material-icons">dashboard</i></a>
            </div>

            {% for element in project.users %}
                <article class="list-element">
                    <span>{{ element.username }}</span>
                </article>
            {% endfor %}
        </section>

        <section class="mtb-50 mlr-50">
            <h1 class="text-center text-blue text-bold">Les Features</h1>

            <div class="mlr-15 text-center">
                <hr class="hr-add">
                <a href="{{ path('bo_feature_add', {'id': project.id}) }}" class="btn btn-success btn-10"><i class="material-icons">add</i></a>
            </div>

            {% for element in project.features %}
                <article class="list-element">
                    <a href="{{ path('bo_feature_edit', {'id': element.id}) }}" class="btn btn-primary btn-10"><i class="material-icons">edit</i></a>
                    <a onclick="
                            if (confirm('Voulez-vous vraiment supprimer cette feature ?')) {
                            window.location.href='{{ url('bo_feature_delete', {'id': element.id}) }}'
                            }"
                    class="btn btn-danger btn-10">
                        <i class="material-icons">delete</i>
                    </a>
                    <span>{{ element.title }} ({{ element.price }} €)</span>
                </article>
            {% endfor %}
        </section>
    {% endif %}
{% endblock %}